%define		hordeapp	imp
#
%include	/usr/lib/rpm/macros.php
Summary:	Web Based IMAP Mail Program
Summary(es.UTF-8):	Programa de correo vía Internet basado en IMAP
Summary(pl.UTF-8):	Program do obsługi poczty przez WWW korzystający z IMAP-a
Summary(pt_BR.UTF-8):	Programa de Mail via Web
Name:		horde-%{hordeapp}
Version:	4.3.10
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/imp/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	a95a55cd8ed8b5cdec78d586701c8ea1
Source1:	%{hordeapp}-apache.conf
Source2:	%{hordeapp}-httpd.conf
Patch0:		%{hordeapp}-path.patch
Patch1:		%{hordeapp}-prefs.patch
Patch2:		%{hordeapp}-quota_hook.patch
Patch3:		%{hordeapp}-important.patch
Patch4:		%{hordeapp}-pl.patch
URL:		http://www.horde.org/imp/
BuildRequires:	gettext-devel
BuildRequires:	horde-devel >= 3.3.12-2
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.0
Requires:	php(ctype)
Requires:	php(imap)
Requires:	php(openssl)
Requires:	php(tidy)
Requires:	webapps
Suggests:	php-pear-Auth_SASL
Suggests:	php-pear-HTTP_Request
Suggests:	php-pecl-idn
Obsoletes:	imp
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	/usr/share/horde.* Horde.* Text/Flowed.php

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
IMP is the Internet Messaging Program, one of the Horde components. It
provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them
under the GNU Public License. For more information (including help
with IMP) please visit <http://www.horde.org/>.

%description -l es.UTF-8
Programa de correo vía Internet basado en IMAP.

%description -l pl.UTF-8
IMP jest programem do obsługi poczty przez WWW, bazowanym na Horde.
Daje dostęp do poczty poprzez IMAP oraz POP3.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Więcej informacji (włącznie z pomocą dla
IMP-a) można znaleźć na stronie <http://www.horde.org/>.

%description -l pt_BR.UTF-8
Programa de Mail via Web baseado no IMAP.

%prep
%setup -q -n %{hordeapp}-h3-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php
# remove backup files from patching
find '(' -name '*~' -o -name '*.orig' ')' | xargs -r rm -v

%build
horde-translation.php -b . make -l pl_PL
mv -f locale/pl_PL/LC_MESSAGES/{horde,imp}.mo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} 	$RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-imp < 4.0.4-1.10, imp
for i in conf.php filter.txt header.txt html.php menu.php mime_drivers.php motd.php prefs.php servers.php trailer.txt; do
	if [ -f /home/services/httpd/html/horde/imp/config/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /home/services/httpd/html/horde/imp/config/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/httpd/imp.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/httpd/imp.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/httpd/imp.conf.rpmsave %{_sysconfdir}/httpd.conf
	rm -f /etc/httpd/imp.conf.rpmsave
	httpd_reload=1
fi

for i in conf.php filter.txt header.txt menu.php mime_drivers.php motd.php prefs.php servers.php trailer.txt; do
	if [ -f /etc/horde.org/imp/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/imp/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-imp.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-imp.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-imp.conf.rpmsave %{_sysconfdir}/httpd.conf
	rm -f /etc/horde.org/apache-imp.conf.rpmsave
fi

if [ -L /etc/apache/conf.d/99_horde-imp.conf ]; then
	rm -f /etc/apache/conf.d/99_horde-imp.conf
	/usr/sbin/webapp register apache %{_webapp}
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-imp.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_horde-imp.conf
	/usr/sbin/webapp register httpd %{_webapp}
	httpd_reload=1
fi

if [ "$httpd_reload" ]; then
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/*.txt
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-imp.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> ca8d2ef
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 3ae6fcd
- migrated to apache 2.4

* Mon Nov 21 2011 Jan Rękorajski <baggins@pld-linux.org> b960554
- 3.3.10
- fix grammar errors in pl translation

* Mon Oct 25 2010 Elan Ruusamäe <glen@pld-linux.org> efbdcf1
- up to 4.3.9

* Thu Sep 30 2010 Elan Ruusamäe <glen@pld-linux.org> c9fc412
- autoup to 4.3.8

* Tue Sep 07 2010 Elan Ruusamäe <glen@pld-linux.org> 12d467c
- updated to: 4.3.7

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 5782953
- removed outdated NOTE

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> da96374
- rel 2
- fixed quota hook patch

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> b905760
- fixed parameters parsing

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> a36b73f
- 4.3.6
- simplified 'important' patch, no need to regenerate po files anymore
- auth patch obsolete by upstream fix

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 7a0d6a4
- updated to 4.3.6

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 89eba23
- simplify the patch, use new naming but don't clear the flag

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 09e4961
- fixed upstream

* Wed Jun 10 2009 Elan Ruusamäe <glen@pld-linux.org> 3c4f78c
- update to 4.3.4

* Mon Oct 27 2008 Jan Rękorajski <baggins@pld-linux.org> a950938
- rel 5
- BR gettext-devel
- regenerate translations

* Mon Oct 27 2008 Jan Rękorajski <baggins@pld-linux.org> 131c2ae
- revert confusing change in imp 4.2

* Mon Oct 27 2008 Jan Rękorajski <baggins@pld-linux.org> bcb138e
- WIP on reverting confusing change to message flagging

* Thu Oct 16 2008 Jan Rękorajski <baggins@pld-linux.org> ec1f896
- now it works without any config (servers.php) hacking

* Thu Oct 16 2008 Jan Rękorajski <baggins@pld-linux.org> 044d9bb
- rel 4
- more fixes in auth patch (is this soft written by a bunch of drunken monkeys?)

* Thu Oct 16 2008 Jan Rękorajski <baggins@pld-linux.org> 8d2977c
- rel 3
- fix wron variable used in auth calls

